org.jfree.report.data

## Class PrecomputedValueRegistryBuilder

- java.lang.Object
- - org.jfree.report.data.PrecomputedValueRegistryBuilder

- All Implemented Interfaces:
    PrecomputedValueRegistry

      public class PrecomputedValueRegistryBuilder
      extends java.lang.Object
      implements PrecomputedValueRegistry

  This class is currently very primitive and enforces a recomputation of precomputed values each time.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrecomputedValueRegistryBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunction(java.lang.String name, java.lang.Object value)`
    `PrecomputeNode` | `currentNode()`
    `void` | `finishElement(PrecomputeNodeKey element)`
    `void` | `finishElementPrecomputation(PrecomputeNodeKey element)`
    `void` | `startElement(PrecomputeNodeKey element)`
    `void` | `startElementPrecomputation(PrecomputeNodeKey element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrecomputedValueRegistryBuilder

          public PrecomputedValueRegistryBuilder()

  - ### Method Detail

    - #### startElementPrecomputation

          public void startElementPrecomputation(PrecomputeNodeKey element)

      Specified by:
        `startElementPrecomputation` in interface `PrecomputedValueRegistry`

    - #### finishElementPrecomputation

          public void finishElementPrecomputation(PrecomputeNodeKey element)

      Specified by:
        `finishElementPrecomputation` in interface `PrecomputedValueRegistry`

    - #### startElement

          public void startElement(PrecomputeNodeKey element)

      Specified by:
        `startElement` in interface `PrecomputedValueRegistry`

    - #### finishElement

          public void finishElement(PrecomputeNodeKey element)

      Specified by:
        `finishElement` in interface `PrecomputedValueRegistry`

    - #### currentNode

          public PrecomputeNode currentNode()

      Specified by:
        `currentNode` in interface `PrecomputedValueRegistry`

    - #### addFunction

          public void addFunction(java.lang.String name,
                                  java.lang.Object value)

      Specified by:
        `addFunction` in interface `PrecomputedValueRegistry`